/* ========================================================================= *
 * InsertionSort
 * Implementation of the InsertionSort algorithm.
 * ========================================================================= */

#include <stddef.h>
#include "Sort.h"


void sort(int* array, size_t length)
{
    int j;
    int tmp;
    for (size_t i = 1; i < length; i++)
    {
        tmp = array[i];
        j = i-1;
        while(j >= 0 && array[j] > tmp)
        {
            array[j+1] = array[j];
            j--;
        }
        array[j+1]=tmp;
    }
}
